EDIT - feature request #8706

taxeditor error report with timestamps
11/20/2019 11:45 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.12

Severity: normal

Description

Wie ware es wenn wir dem Fehlerprotokoll mal einen Timestamp spendierten? Damit ware es leichter den Fehler einem bestimmten

Server Problem oder Zustand zuzuordnen.
Ich schlage zwei timestamps vor:

1. local date time
2. last server response date time

Die "last server response date time" sollte relativ einfach aus der HTTPInvoker Komponente zu bekommen sein. So wie tberall in
Spring, misste es auch hier méglich sein, sich mit einem eigenen Bean hier einzuklinken, um dann denn "Date" HTTP-Header jeder
Serverantwort in eine "Session-Variable" von Eclipse oder Spring zu speichern.

Beispiel fur einen HTTP-Date-Header:

Date: Tue, 19 Nov 2019 07:16:35 GMT

Associated revisions

Revision a6cc90d1 - 01/17/2020 03:33 PM - Andreas Kohlbecker

ref #8706 reporting error time in messages

Revision 30acb146 - 01/17/2020 09:20 PM - Andreas Kohlbecker

ref #8706 DateHeaderFilter to add Date headers to all servelet responses

Revision 6e1d1796 - 01/17/2020 09:21 PM - Andreas Kohlbecker

fix #8706 error messages with remonte request time stamps

Revision 1630e9b0 - 01/23/2020 09:55 AM - Andreas Kohlbecker

ref #8706 DateHeaderFilter to add Date headers to all servlet responses

Revision 3db08ffa - 01/23/2020 03:23 PM - Andreas Kohlbecker

ref #8706 moving DateHeaderFilter to cdmlib-remote to make it available for cdm-vaadin

Revision 0b79b471 - 01/23/2020 03:24 PM - Andreas Kohlbecker

ref #8706 adapting to new DateHeaderFilter package name

History

#1 - 01/17/2020 03:13 PM - Andreas Kohlbecker
- Status changed from New to In Progress
- Assignee changed from Katja Luther to Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.12

#2 - 01/17/2020 09:21 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50
Applied in changeset taxeditor|6e1d17962e4f23d254da242b13a7e188d69793ca.

#3 - 01/17/2020 09:21 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller
ready for review

#4 - 10/11/2021 04:37 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

| guess we can close this ticket. Timestamping generally works. Open new ticket if there are open issues left.
